Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.window
Class PortletWindowImpl

    java.lang.Object
      org.jasig.portal.container.om.window.PortletWindowImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.Controller, org.apache.pluto.om.Model, org.apache.pluto.om.window.PortletWindow, org.apache.pluto.om.window.PortletWindowCtrl

    public class PortletWindowImpl

extends java.lang.Object
implements org.apache.pluto.om.window.PortletWindow, org.apache.pluto.om.window.PortletWindowCtrl, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.9 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private org.apache.pluto.om.common.ObjectID` | `objectId`
`private org.apache.pluto.om.entity.PortletEntity` | `portletEntity`
`private javax.servlet.http.HttpServletRequest` | `request`
`private ChannelRuntimeData` | `runtimeData`

Constructor Summary
`PortletWindowImpl()`

Method Summary
`ChannelRuntimeData` | `getChannelRuntimeData()`
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
`org.apache.pluto.om.common.ObjectID` | `getId()`
`org.apache.pluto.om.entity.PortletEntity` | `getPortletEntity()`
`void` | `setChannelRuntimeData(ChannelRuntimeData runtimeData)`
`void` | `setHttpServletRequest(javax.servlet.http.HttpServletRequest request)`
`void` | `setId(java.lang.String id)`
`void` | `setPortletEntity(org.apache.pluto.om.entity.PortletEntity portletEntity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objectId

    private org.apache.pluto.om.common.ObjectID objectId

### portletEntity

    private org.apache.pluto.om.entity.PortletEntity portletEntity

### runtimeData

    private ChannelRuntimeData runtimeData

### request

    private javax.servlet.http.HttpServletRequest request

Constructor Detail

### PortletWindowImpl

    public PortletWindowImpl()

Method Detail

### getId

    public org.apache.pluto.om.common.ObjectID getId()

  Specified by:
    `getId` in interface `org.apache.pluto.om.window.PortletWindow`

### getPortletEntity

    public org.apache.pluto.om.entity.PortletEntity getPortletEntity()

  Specified by:
    `getPortletEntity` in interface `org.apache.pluto.om.window.PortletWindow`

### setId

    public void setId(java.lang.String id)

  Specified by:
    `setId` in interface `org.apache.pluto.om.window.PortletWindowCtrl`

### setPortletEntity

    public void setPortletEntity(org.apache.pluto.om.entity.PortletEntity portletEntity)

  Specified by:
    `setPortletEntity` in interface `org.apache.pluto.om.window.PortletWindowCtrl`

### setChannelRuntimeData

    public void setChannelRuntimeData(ChannelRuntimeData runtimeData)

### getChannelRuntimeData

    public ChannelRuntimeData getChannelRuntimeData()

### setHttpServletRequest

    public void setHttpServletRequest(javax.servlet.http.HttpServletRequest request)

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD